Imports System.Web.Mvc
Imports SocialCoding.FbAuth.Framework

Namespace SocialCoding.FbAuth.Controllers
	Public Class HomeController
		Inherits Controller
        Public Function Index() As ActionResult

            ViewBag.Message = "This application doesn't really allow you to do much without logging in."
            ViewBag.Message1 = "The great news is that you can log in using the built-in membership or your Facebook account!"
            Return View()
        End Function

		<Authorize>
		Public Function Post(ByVal status As String) As ActionResult
			Dim token = FbHelpers.AccessTokenRead(Request)
			If String.IsNullOrEmpty(token) Then
				Throw New InvalidOperationException("Can't find FB access token")
			End If

			FbHelpers.Post(token, status)
			Return View("index")
		End Function

		<Authorize>
		Public Function PostPhoto(ByVal status As String) As ActionResult
			Dim token = FbHelpers.AccessTokenRead(Request)
			If String.IsNullOrEmpty(token) Then
				Throw New InvalidOperationException("Can't find FB access token")
			End If

            'Dim path = Server.MapPath("~/Content/Images/onserve.jpg")
            'FbHelpers.PostPicture(token, status, path)
			FbHelpers.Post(token, status)
			Return View("index")
		End Function

		<Authorize>
		Public Function About() As ActionResult
			Return View()
		End Function
	End Class
End Namespace
